# Tor Bundle in Docker

## Launching Tor

### with Docker Compose

```
docker-compose run --rm tor
```

### with Docker

```
docker run --rm -ti \
           --read-only=true \
           -v /tmp/.X11-unix:/tmp/.X11-unix:ro \
           -v $XDG_RUNTIME_DIR/pulse:/run/user/1000/pulse:ro \
           -v $HOME/Downloads:/home/user/tor-browser_en-US/Browser/Downloads \
           -e DISPLAY=unix$DISPLAY \
           -e PULSE_SERVER=unix:$XDG_RUNTIME_DIR/pulse/native \
           andrey01/tor
```
